from django.urls import path
from .views import (
    TradeOfferCreateView,
    TradeOfferCreateConfirmView,
    TradeOfferAllListView,
    TradeOfferDetailView,
    TradeAcceptanceCreateView,
    TradeAcceptanceUpdateView,
    TradeOfferDeleteView,
    TradeOfferSearchView,
    TradeOfferPNGView,
)

urlpatterns = [
    path("create/", TradeOfferCreateView.as_view(), name="trade_offer_create"),
    path("create/confirm/", TradeOfferCreateConfirmView.as_view(), name="trade_offer_confirm_create"),
    path("", TradeOfferAllListView.as_view(), name="trade_offer_list"),
    path("search/", TradeOfferSearchView.as_view(), name="trade_offer_search"),
    path("<int:pk>/", TradeOfferDetailView.as_view(), name="trade_offer_detail"),
    path("<int:pk>.png", TradeOfferPNGView.as_view(), name="trade_offer_png"),
    path("delete/<int:pk>/", TradeOfferDeleteView.as_view(), name="trade_offer_delete"),
    path("accept/<int:offer_pk>", TradeAcceptanceCreateView.as_view(), name="trade_acceptance_create"),
    path("update/<int:pk>/", TradeAcceptanceUpdateView.as_view(), name="trade_acceptance_update"),
]
